Bug 722769 - spatialite-tools is missing readline support
Summary: spatialite-tools is missing readline support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spatialite-tools
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-17 16:17 UTC by André Kelpe
Modified: 2011-07-31 03:59 UTC (History)
2 users (show)

Fixed In Version: spatialite-tools-2.4.0-0.4.RC4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:51:45 UTC
Type: ---


Attachments (Terms of Use)
patch for the spec file (861 bytes, patch)
2011-07-17 16:17 UTC, André Kelpe
no flags Details | Diff

Description André Kelpe 2011-07-17 16:17:42 UTC
Created attachment 513530 [details]
patch for the spec file

Description of problem:

spatialite-tools can be build with readline support, but the spec file is missing the BuildRequires for readline-devel

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install spatialite tools
2. start spatialite in a terminal window
3. try to use the arrow keys
  
Actual results:
escape chars are printed

Expected results:
commandline editing and history support

Additional info:

Comment 1 Fedora Update System 2011-07-17 18:58:38 UTC
spatialite-tools-2.4.0-0.4.RC4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.4.RC4.fc15

Comment 2 Fedora Update System 2011-07-17 18:58:45 UTC
spatialite-tools-2.4.0-0.4.RC4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.4.RC4.fc14

Comment 3 Fedora Update System 2011-07-18 22:39:13 UTC
Package spatialite-tools-2.4.0-0.4.RC4.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spatialite-tools-2.4.0-0.4.RC4.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.4.RC4.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-07-31 03:51:40 UTC
spatialite-tools-2.4.0-0.4.RC4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-07-31 03:59:18 UTC
spatialite-tools-2.4.0-0.4.RC4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.